Bug 1569305 - [abrt] __i915_gem_free_objects: list_del corruption, 4f40d465->next is LIST_POISON1 (f8904421) [i915]
Summary: [abrt] __i915_gem_free_objects: list_del corruption, 4f40d465->next is LIST_P...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 27
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:378bba95c7da1177985afb8d7f6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 02:25 UTC by Jaleel
Modified: 2018-11-30 21:16 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:16:49 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (65.90 KB, text/plain)
2018-04-19 02:26 UTC, Jaleel
no flags Details

Description Jaleel 2018-04-19 02:25:51 UTC
Additional info:
reporter:       libreport-2.9.3
list_del corruption, 4f40d465->next is LIST_POISON1 (f8904421)
------------[ cut here ]------------
kernel BUG at lib/list_debug.c:47!
invalid opcode: 0000 [#1] SMP
Modules linked in: nls_utf8 isofs vfat fat uas usb_storage fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc snd_hda_codec_hdmi dell_rbtn coretemp dell_laptop snd_hda_codec_idt kvm snd_hda_codec_generic snd_hda_intel dell_wmi iTCO_wdt dell_smbios_smm iTCO_vendor_support snd_hda_codec dcdbas arc4 sparse_keymap irqbypass iwl3945 gpio_ich snd_hda_core dell_smbios_wmi dell_smbios wmi_bmof
 dell_wmi_descriptor iwlegacy i2c_i801 mac80211 snd_hwdep dell_smm_hwmon joydev snd_seq snd_seq_device cfg80211 snd_pcm rfkill snd_timer snd lpc_ich wmi soundcore acpi_cpufreq hid_logitech_hidpp hid_logitech_dj i915 tg3 i2c_algo_bit drm_kms_helper drm ptp serio_raw ata_generic yenta_socket pata_acpi pps_core video
CPU: 0 PID: 10842 Comm: kworker/0:2 Not tainted 4.15.14-300.fc27.i686+PAE #1
Hardware name: Dell Inc. Latitude D620                   /0TD761, BIOS A10 05/16/2008
Workqueue: events __i915_gem_free_work [i915]
EIP: __list_del_entry_valid+0x40/0x80
EFLAGS: 00010246 CPU: 0
EAX: 0000003e EBX: e9c0d10c ECX: f6fd2200 EDX: f6fcd654
ESI: e9c0cfc0 EDI: e9c0d058 EBP: eec51ef8 ESP: eec51eec
 DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
CR0: 80050033 CR2: b7e84eb4 CR3: 29f9dc60 CR4: 000006f0
Call Trace:
 __i915_gem_free_objects+0xd1/0x2b0 [i915]
 __i915_gem_free_work+0x54/0x80 [i915]
 process_one_work+0x162/0x380
 worker_thread+0x39/0x3c0
 kthread+0xf0/0x110
 ? process_one_work+0x380/0x380
 ? kthread_create_worker_on_cpu+0x20/0x20
 ret_from_fork+0x2e/0x38
Code: 00 74 30 8b 09 39 c1 75 42 8b 42 04 39 c8 75 4b b8 01 00 00 00 c9 c3 8d 74 26 00 68 00 01 00 00 50 68 2c dd e5 c6 e8 cf 93 d1 ff <0f> 0b 8d b6 00 00 00 00 68 00 02 00 00 50 68 64 dd e5 c6 e8 b7
EIP: __list_del_entry_valid+0x40/0x80 SS:ESP: 0068:eec51eec

Comment 1 Jaleel 2018-04-19 02:26:27 UTC
Created attachment 1423860 [details]
File: dmesg

Comment 2 Robert 2018-04-27 16:45:44 UTC
Description of problem:
xerox workcenter 6026 scanning to shared folder

Version-Release number of selected component:
kernel-core-4.16.3-200.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-200.fc27.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=pl_PL.UTF-8
crash_function: __i915_gem_free_objects
kernel:         4.16.3-200.fc27.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
list_del corruption, 000000008211937c->next is LIST_POISON1 (0000000091b4aa98)
------------[ cut here ]------------
kernel BUG at lib/list_debug.c:47!
invalid opcode: 0000 [#1] SMP PTI
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 coretemp iwl3945 kvm_intel iwlegacy kvm mac80211 iTCO_wdt iTCO_vendor_support btusb snd_hda_codec_analog irqbypass snd_hda_codec_generic btrtl btbcm btintel snd_hda_intel bluetooth snd_hda_codec snd_hda_core snd_hwdep i2c_i801 snd_seq cfg80211
 snd_seq_device snd_pcm ecdh_generic lpc_ich thinkpad_acpi snd_timer tpm_tis snd tpm_tis_core rfkill tpm soundcore shpchp acpi_cpufreq i915 sdhci_pci cqhci sdhci firewire_ohci serio_raw mmc_core e1000e firewire_core ata_generic pata_acpi crc_itu_t yenta_socket i2c_algo_bit drm_kms_helper ptp pps_core drm video
CPU: 1 PID: 8089 Comm: kworker/1:3 Not tainted 4.16.3-200.fc27.x86_64 #1
Hardware name: LENOVO 1706QDG/1706QDG, BIOS 7BETD8WW (2.19 ) 03/31/2011
Workqueue: events __i915_gem_free_work [i915]
RIP: 0010:__list_del_entry_valid+0x4e/0x90
RSP: 0018:ffffb7ef403f7e20 EFLAGS: 00010282
RAX: 000000000000004e RBX: ffff9cdf44d4cc00 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff9cdf7f5168f8 RDI: ffff9cdf7f5168f8
RBP: ffff9cdf44d4ce30 R08: 0000000000000453 R09: 0000000000aaaaaa
R10: ffffb7ef403f7cf0 R11: 00000000ffffffff R12: ffff9cdf78038000
R13: ffff9cdf3bb45e00 R14: ffff9cdf78038070 R15: ffff9cdf44d4caf8
FS:  0000000000000000(0000) GS:ffff9cdf7f500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f9541207b28 CR3: 0000000078d52000 CR4: 00000000000006e0
Call Trace:
 __i915_gem_free_objects+0xe8/0x2c0 [i915]
 __i915_gem_free_work+0x57/0x90 [i915]
 process_one_work+0x175/0x360
 worker_thread+0x2e/0x380
 ? process_one_work+0x360/0x360
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 74 2b 48 8b 32 48 39 fe 75 34 48 8b 50 08 48 39 f2 75 3f b8 01 00 00 00 c3 48 89 fe 48 89 c2 48 c7 c7 d8 fc 0d 96 e8 9c 9f cb ff <0f> 0b 48 89 fe 48 c7 c7 10 fd 0d 96 e8 8b 9f cb ff 0f 0b 48 89 
RIP: __list_del_entry_valid+0x4e/0x90 RSP: ffffb7ef403f7e20

Comment 3 Ben Cotton 2018-11-27 15:59:31 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:16:49 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.